﻿@using Portal.Models.AuthorizationMapping;

<table>
<tr>
    <td style="width: 65px;">Username</td>
    
    <td>
        @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlUsernameForm";
                    sett.GridProperties.KeyFieldName = "USERNAME";
                    sett.Width = 150;
                    sett.GridProperties.CallbackRouteValues = new {Controller = "AuthorizationMapping", Action = "getUsernameLookup"};
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                    //sett.GridProperties.ClientSideEvents.BeginCallback = "branchBeginCallback"; //coba
                    
                    //sett.GridProperties.ClientSideEvents.RowClick = "branchChanged";
                        //SelectionChanged = "branchChanged";
                    sett.GridProperties.Width = 150;
                    sett.GridProperties.CommandColumn.Width = 10;
                    //sett.GridProperties.Height = 750;
                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtUsername";
                              l.FieldName = "USERNAME";
                              l.Caption = "Username";
                              //l.Width = 150;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                              
                          }
                        );
                    

                }
                
                
            ).Bind(ViewData["UsernameDatas"]).GetHtml()



    </td>
</tr>
</table>
<table>
<tr>
    <td><div style="width: 60px;" ></div>System</td>
    
    <td>
      @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlSysIDForm";
                    sett.GridProperties.KeyFieldName = "SYSTEM_NAME";
                    sett.Width = 150;
                    sett.GridProperties.CallbackRouteValues = new { Controller = "AuthorizationMapping", Action = "getSystemLookup" };
                    //sett.GridProperties.ClientSideEvents.BeginCallback = "ClassBeginGridCallback";
                    sett.GridProperties.ClientSideEvents.RowClick = "getSystemID";
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    //sett.GridProperties.Width = 150;
                    
                        
                   @* if (Model.GetModel<List<RoleIDLookup>>().Count == 1)
                    {
                        sett.Text = Model.GetModel<List<RoleIDLookup>>()[0].ROLE_ID;
                    } *@
                    
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtSysID";
                            l.FieldName = "SYSTEM_ID";
                            l.Caption = "System ID";
                            l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        }
                        );
                    
          
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtSysName";
                            l.FieldName = "SYSTEM_NAME";
                            l.Caption = "System Name";
                            l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        }
                        );
                
                }
            ).Bind(ViewData["SystemDatas"]).GetHtml()


    </td>
</tr>

</table>
<table>
<tr>
    <td><div style="width: 60px;" ></div>Role</td>
    
    <td>
      @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlRoleIDForm";
                    sett.GridProperties.KeyFieldName = "ROLE_NAME";
                    sett.Width = 150;
                    sett.GridProperties.CallbackRouteValues = new { Controller = "AuthorizationMapping", Action = "getRoleLookup" };
                    sett.GridProperties.ClientSideEvents.BeginCallback = "RoleBeginGridCallback";
                    sett.GridProperties.ClientSideEvents.RowClick = "getRoleID";
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    //sett.GridProperties.Width = 150;
                    
                        
                   @* if (Model.GetModel<List<RoleIDLookup>>().Count == 1)
                    {
                        sett.Text = Model.GetModel<List<RoleIDLookup>>()[0].ROLE_ID;
                    } *@
                    
                    
                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtRoleID";
                              l.FieldName = "ROLE_ID";
                              l.Caption = "Role ID";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtRoleName";
                            l.FieldName = "ROLE_NAME";
                            l.Caption = "Role Name";
                            l.Width = 150;
                            l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        }
                        );
                
                }
            ).Bind(ViewData["RoleDatas"]).GetHtml() 
         @*  ).Bind(Model.GetModel<List<RoleIDLookup>>()).GetHtml()*@


    </td>
</tr>

</table>
<table>
<tr>
    <td style="width: 125px;"></td>
    
    <td>
        <table>
            <tr>
                <td>
        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnAddSubmit";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 70;
                            btnSettings.ClientSideEvents.Click = "AddSubmit";
                        }
                    ).GetHtml()
                    </td>
                <td>
         @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnAddCancel";
                            btnSettings.ControlStyle.CssClass = "button";
                      
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 70;
                            btnSettings.ClientSideEvents.Click = "AddCancel";
                        }
                    ).GetHtml()
                    </td>
            </tr>
        </table>
    </td>
</tr>
</table>